---
lang: en
title: 'API docs: context.contextsubscriptionmanager.waituntilpendingnotificationsdone'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.contextsubscriptionmanager.waituntilpendingnotificationsdone.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextSubscriptionManager](./context.contextsubscriptionmanager.md) &gt; [waitUntilPendingNotificationsDone](./context.contextsubscriptionmanager.waituntilpendingnotificationsdone.md)

## ContextSubscriptionManager.waitUntilPendingNotificationsDone() method

Wait until observers are notified for all of currently pending notification events.

This method is for test only to perform assertions after observers are notified for relevant events.

**Signature:**

```typescript
waitUntilPendingNotificationsDone(timeout?: number): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  timeout | number | _(Optional)_ |

**Returns:**

Promise&lt;void&gt;


